<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.datau.kpim.mapper.common.KpiFunctionMapper">
	<select id="listKpiFunction" resultType="com.datau.kpim.dto.common.KpiFunctionDTO">
		select
		id,function_name,function_desc,function_value,column_num
		from
		kpim_info_function
	</select>
	<select id="listKpiFunctionPage" resultType="com.datau.kpim.dto.common.KpiFunctionDTO">
		select
		id,function_name,function_desc,function_value,column_num
		from
		kpim_info_function where 1=1
		<if test=" functionName != null and functionName !='' ">
			AND function_name LIKE CONCAT('%',#{functionName},'%')
		</if>
	</select>
	<select id="getKpiFunction" resultType="com.datau.kpim.dto.common.KpiFunctionDTO">
		select
		id,function_name,function_desc,function_value,column_num
		from
		kpim_info_function where id= #{id}
	</select>
</mapper>